package com.nantian.cloud.jljc.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.DischargeEnergyStock;
import com.nantian.cloud.jljc.vo.dischargeEnergy.DischargeEnergyStockVo;

import java.util.List;
import java.util.Map;

/**
 * 两高项目存量表服务接口
 *
 * @author gj
 * @since 2022-02-15 09:40:50
 * @description 
 */
public interface DischargeEnergyStockService extends IService<DischargeEnergyStock>{

    IPage<DischargeEnergyStockVo> getPageData(Page page,DischargeEnergyStock dischargeEnergyStock);

    List<DischargeEnergyStockVo> getData(DischargeEnergyStock dischargeEnergyStock);

    List<Map<String, Object>> getNumAndTceData(DischargeEnergyStock dischargeEnergyStock);

    List<Map<String, Object>> getindustryNumAndTce(DischargeEnergyStock dischargeEnergyStock);

    Boolean addStock(String s);

    IPage<DischargeEnergyStockVo> getStockProductIndex(Page page, DischargeEnergyStock dischargeEnergyStock);
}
